package com.mx.dla.dda.reporte.pagosTransaccion.dtos;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.mx.dla.global.dtos.BaseDTO;

public class PagoTransaccion extends BaseDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2742942782753041325L;
	private Long idContrato;
	private Long idLista;
	private Long idCalculoCosto;
	private Long idTituloCnt;
	private String categoria;
	private String minimo;
	private String rsEstudio;
	private String precio;
	private String rentas;
	private String costo;
	private String descEstudio;
	private String tipoTitulo;
	private String month;
	private String descTitulo;
	private String acumulado;
	private String docMaterial;
	
	
	//Para el historico
	private Date inicioVentana;
	private List<DetalleHistorico> detallesMes;
	private Map<String, Long> detallesMesCosto;
	private Long overage;
	
	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public Long getIdLista() {
		return idLista;
	}

	public void setIdLista(Long idLista) {
		this.idLista = idLista;
	}

	public Long getIdCalculoCosto() {
		return idCalculoCosto;
	}

	public void setIdCalculoCosto(Long idCalculoCosto) {
		this.idCalculoCosto = idCalculoCosto;
	}

	public Long getIdTituloCnt() {
		return idTituloCnt;
	}

	public void setIdTituloCnt(Long idTituloCnt) {
		this.idTituloCnt = idTituloCnt;
	}

	public String getCategoria() {
		return categoria;
	}

	public void setCategoria(String categoria) {
		this.categoria = categoria;
	}

	public String getMinimo() {
		return minimo;
	}

	public void setMinimo(String minimo) {
		this.minimo = minimo;
	}

	public String getRsEstudio() {
		return rsEstudio;
	}

	public void setRsEstudio(String rsEstudio) {
		this.rsEstudio = rsEstudio;
	}

	public String getPrecio() {
		return precio;
	}

	public void setPrecio(String precio) {
		this.precio = precio;
	}

	public String getRentas() {
		return rentas;
	}

	public void setRentas(String rentas) {
		this.rentas = rentas;
	}

	public String getCosto() {
		return costo;
	}

	public void setCosto(String costo) {
		this.costo = costo;
	}

	public String getDescEstudio() {
		return descEstudio;
	}

	public void setDescEstudio(String descEstudio) {
		this.descEstudio = descEstudio;
	}

	public String getTipoTitulo() {
		return tipoTitulo;
	}

	public void setTipoTitulo(String tipoTitulo) {
		this.tipoTitulo = tipoTitulo;
	}

	public String getMonth() {
		return month;
	}

	public void setMonth(String month) {
		this.month = month;
	}

	public String getDescTitulo() {
		return descTitulo;
	}
	public void setDescTitulo(String descTitulo) {
		this.descTitulo = descTitulo;
	}
	public String getAcumulado() {
		return acumulado;
	}
	public void setAcumulado(String acumulado) {
		this.acumulado = acumulado;
	}
	public String getDocMaterial() {
		return docMaterial;
	}
	public void setDocMaterial(String docMaterial) {
		this.docMaterial = docMaterial;
	}
	
	public Date getInicioVentana() {
		return inicioVentana;
	}
	
	public void setInicioVentana(Date inicioVentana) {
		this.inicioVentana = inicioVentana;
	}
	
	public List<DetalleHistorico> getDetallesMes() {
		return detallesMes;
	}
	
	public void setDetallesMes(List<DetalleHistorico> detallesMes) {
		this.detallesMes = detallesMes;
	}
	public Map<String, Long> getDetallesMesCosto() {
		return detallesMesCosto;
	}
	public void setDetallesMesCosto(Map<String, Long> detallesMesCosto) {
		this.detallesMesCosto = detallesMesCosto;
	}
	public void setOverage(Long overage) {
		this.overage = overage;
	}
	public Long getOverage() {
		return overage;
	}
}
